# pb_ds::detail::value_type_base< Key, null_mapped_type, Allocator, false > Struct Template Reference

List of all members.

## Detailed Description

### template<typename Key, typename Allocator>
struct pb_ds::detail::value_type_base< Key, null_mapped_type, Allocator, false >

Specialization of value_type_base for the case where the hash value is not stored alongside each value.

Definition at line 128 of file basic_types.hpp.

## Public Types

- typedef mapped_type_allocator::const_pointer const_mapped_pointer
- typedef mapped_type_allocator::const_reference const_mapped_reference
- typedef value_type_allocator::const_pointer const_pointer
- typedef value_type_allocator::const_reference const_reference
- typedef mapped_type_allocator::pointer mapped_pointer
- typedef mapped_type_allocator::reference mapped_reference
- typedef mapped_type_allocator::value_type mapped_type
- typedef Allocator::template
  rebind< null_mapped_type
  >::other mapped_type_allocator
- typedef value_type_allocator::pointer pointer
- typedef value_type_allocator::reference reference
- typedef Key value_type
- typedef Allocator::template
  rebind< value_type >::other value_type_allocator

## Static Public Attributes

- static null_mapped_type s_null_mapped

## Classes

- struct stored_value_type

The documentation for this struct was generated from the following file:

- basic_types.hpp